Integrated data are used in compilations to examine larger scale geochemical trends. Examples of such compilations that have used PetDB include “Origin of a 'Southern Hemisphere' geochemical signature in the Arctic upper mantle” \citep{Goldstein_2008}, and "Composition of the depleted mantle" \citep{Salters_2004}.

Each EarthChem topical database arose from a user community that determined standards, features, and scope of the desired data. Different data have different parameters that are important to the investigators when selecting and viewing the data. For example, in SedDB there is depth in core and the ability to accommodate different materials that are sampled such as wood and paleosol. In VentDB for vent fluids, there are vent flow types and end-member and raw data used to calculate the derived values. In Geochron, the system works directly with data reduction programs and data from the instruments that produce geochronology and thermochronology data.

The sample-based data is stored in a data model detailed in \citep{Lehnert_2000}. Data managers enter analytical data and related sample metadata from the published literature into the topical database. Metadata (data about the data) include data quality and data type-specific information, such as the laboratory, sample preparation, and instrument used for analytical measurement. Standards and references used to translate raw measurements into chemical composition, which may be lab specific, are documented within the database when reported by the investigator in the original publication. 

A database user creates an integrated dataset by first selecting samples from the database that meet particular constraints on geographic location, physiographic feature, rock classification or other grouping, then selecting the chemical parameters of interest. Parameters include major elements, trace elements, stable isotopes, radiogenic isotopes, rock mode, rare earth elements, and volatiles. Outputs can be further filtered by analytical method and compositional range. 
