Recent examples of papers that cite the Portal include a publication on the lithospheric evolution of the Earth from a statistical review of ~70,000 samples \citep{Keller_2012}, and validation of a global lithological map using ~ 290,000 data points \citep{Hartmann_2012}. Applications of the Portal in the literature have been found in many fields beyond rock and sediment chemistry; citations exist in the field of ecology \citep{Bataille_2012}, water chemistry \citep{Olson_2012}, and climate change \citep{Box_2011}. 

Tools were developed to support investigators both as users and contributors of data. Logged-in users can save and rerun queries, which is particularly useful as new data are added to the database. A database of shared queries is stored in the Portal Glossary that can be reused by others. Samples may be selected by chemical composition in several ways, either by a numerical value (composition range of specific parameters), a classification assigned by the author, or a classification derived from the chemical composition. The difference between author-assigned and chemically-derived classifications is striking; one popular demonstration is to show that author-assigned classifications for rocks (e.g. “dacite”) span a wide range of actual classifications when their chemical composition is plotted on a TAS (total alkali versus silica) diagram (i.e. the author-given classifications are incorrect). This makes the chemically-derived classification much more accurate if the composition is very important. **Figure 2** shows an example where the author assigned classification of dacite varies strongly from the chemically-derived classification.
Once samples are selected, users can access built-in visualization tools including dynamic maps and Google Earth integration. TAS and Harker plots can be generated and edited quickly. Authors with data in the portal can use the citation function to see how often data from their own publications have been downloaded. 

